<?php

namespace App\Providers;

use App\Helpers\Helper;
use Illuminate\Support\ServiceProvider;
use Illuminate\Database\Schema\Builder;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Blade;
use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\View;
use Illuminate\Pagination\Paginator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {  

        $operationMenu = ['dashboard', 'permission', 'common-art'];
        Builder::defaultStringLength(191);
        View::share('c_page', Request::segment(2));
        View::share('pageTitle', ucfirst(Request::segment(2)));
        View::share('operationMenu', $operationMenu);

        Paginator::useBootstrap();
    }
}
